#version unofficial MegaPov 0.7;
//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 2 lights, 32 materials and 135 primitives.
//
//  This file was generated for POV-Ray V3.1 by Txemi Jendrix with
//  Moray V3.3 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//

//  Date : 04/30/2001    (30.04.2001)
//


default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment


*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 40
  number_of_waves 10
  }

background { color <0.090,0.361,0.875> }

fog {
  fog_type 2    // Ground Fog
  distance     800.0
  color <0.937255,0.937255,0.937255,0.0,0.0>
  up           <0,0,1>
  fog_offset   0.0
  fog_alt      4.0
}

fog {
  fog_type 2    // Ground Fog
  distance     1000.0
  color <0.67451,0.780392,0.976471,0.0,0.0>
  up           <0,0,1>
  fog_offset   0.0
  fog_alt      15.0
}

camera {  //  Camera Camera02
  location  <    -14.348,     -31.264,       3.881>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.87861,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         54.40000    // Vertical      30.600
  look_at   <     10.495,      -1.008,       9.343>
}

 /*
camera {  //  Camera vista pajaro
  location  <      0.000,     -0.01,       1000.733>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.36121,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         42.09368    // Vertical      31.570
  look_at   <      0.0,      0.0,       0.0>
}
*/

//
// *******  L I G H T S *******
//

light_source {   // Light001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  translate  <-37.945206, -32.071108, 33.386493>
}


//
// ********  MATERIALS  *******
//  
// ==== Standard POV-Ray Includes ====
#include "torreirtc.inc"
///
/// ************** cielo ****************
///

sky_sphere
{    pigment {gradient z
         color_map {
         [0.0 rgb .9]
         [0.05 rgb <0.7,0.7,1.0>]
         [0.3 rgb <0.090,0.361,0.875>]
         [1.0 rgb <0.090,0.361,0.875>]}
         }
         scale <1,1,1>
         }

//
// ************ SUELO ******************
// 

 union {
height_field {
pattern 800, 800 {
hf_gray_16
bozo
color_map {
[ 0.0 color rgb 0.05 ]
[ 0.2 color rgb 0.0375 ]
[ 1.0 color rgb 0.0 ]
}
warp {turbulence 1 lambda .25}
scale 0.05
}
smooth 
rotate    <90, 0, 0> 
scale <200,200,50> 
rotate <0,0,0>
translate <-50, 150, -1.25>
texture{
pigment{granite
            color_map
            {
               [ 0.0     rgbft <0.9804, 0.7812, 0.4375, 0.0, 0.0> ]
               [ 0.85    rgbft <0.9062, 0.6562, 0.3359, 0.0, 0.0> ]
               [ 1.0     rgbft <0.8242, 0.5312, 0.2343, 0.0, 0.0> ]
            }
scale 2
scale <1,5,1>
}
finish {ambient 0.1 diffuse 0.9 crand .05}
}
} 
 
//
// *************** montanas**************
//

height_field {
pattern 800, 800 {
hf_gray_16
bozo
color_map {
[ 0.0 color rgb 0.05 ]
[ 0.2 color rgb 0.0375 ]
[ 1.0 color rgb 0.0 ]
}
warp {turbulence 1 lambda .25}
scale 0.05
}
smooth 
rotate    <90, 0, 0> 
scale <500,200,200> 
rotate <5,0,0>
translate <-100,320,0> // -1.25>
texture{
pigment{granite
            color_map
            {
               [ 0.0     rgbft <0.9804, 0.7812, 0.4375, 0.0, 0.0> ]
               [ 0.85    rgbft <0.9062, 0.6562, 0.3359, 0.0, 0.0> ]
               [ 1.0     rgbft <0.8242, 0.5312, 0.2343, 0.0, 0.0> ]
            }
scale 2
scale <1,5,1>
}
finish {ambient .1 diffuse .5 crand .05}
}
}
rotate <0, 0, -20> 
translate <-50,-10,0>
}  


//
// ******** nubes  *******
//

plane { // Plane002
  z,0
  material {
    nubes_txt
  }
  hollow
  scale 3000.0
  translate  650.0*z
}
 
 
/// ************* torres ************         
 
#include "torrehama.inc"

object { // sPatchObj4 -> sPatchObj1
  sPatchObj1
  no_shadow
  rotate 156.760056*z
  translate  <40.0, 30.0, -1.0>
}


object { // sPatchObj2 -> sPatchObj1
  sPatchObj1
  rotate -52.495197*z
  translate  <40.0, 0.0, -0.5>
}

object { sPatchObj1 }
   
/// **************** avion ********************

#include "torreavion.inc"

  object { avion
  scale 0.5
  rotate -173.174423*z
  translate  <29.991118, 6.804707, 6.96856>
}


  